Skip to main content
POST
Move a Lesson

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Lesson ID.

Body

application/json
destination_section_id
string
required

Destination section ID. You need edit access to both programs. The lesson goes to the end of the destination section. If it is already in the destination section, the API returns it unchanged.

Required string length: 1 - 255

Response

Successful request.

id
string
required
section_id
string
required
name
string
required
position
integer | null
required
lesson_type
enum<string>
required
Available options:
video,
text,
pdf,
embed,
audio
drip_delay
integer
required
is_published
boolean
required
is_progression_locked
boolean | null
required
settings_embed_wistia
string | null
settings_embed_vimeo
string | null
settings_embed_youtube
string | null
settings_embed_loom
string | null
settings_embed_code
string | null
embed_code
string | null
description
string
read-only

Legacy lesson description. Use body when creating or updating lessons. Existing values are preserved when body is updated or cleared.

body
string

Rendered HTML.

transcripts
object[]
media
object